Connect an AI assistant
Your AI assistant can read this documentation directly, so it answers from the current content instead of guessing. Add one of the servers below to your client — they use the Model Context Protocol (MCP). Each one covers a different body of content, so add the one you need.
The catalog did not load. Refresh the page to try again.
Loading…
{{server.name}}
{{server.summary}}
{{server.documentCount.toLocaleString()}} pages Not published to this site
- Name
-
{{server.name}} - URL
-
{{mcpServerUrl(server.path)}}
| Tool | What it does |
|---|---|
{{tool.name}} |
{{part.text}}{{part.text}} |
How can we help?
Searching in {{docApp.searchFilterBySpecificBookTitle}}
Searching for:
{{docApp.searchResultFilteredItems.length}} results for:
{{docApp.currentResultsSearchText}}
in {{docApp.searchFilterBySpecificBookTitle}}
Found {{docApp.searchResponse.totalResultsAvailable}} matches. Showing the top {{docApp.searchResponse.results ? docApp.searchResponse.results.length : 0}}. Use a more specific search to further narrow down the results.
No documentation pages match this search, so all content types are shown.
Most matches are in {{docApp.searchDocTypeRescue.best.name}}.
There is no book with the ID "{{docApp.searchBookRescue.bid}}", so the book filter from this link was ignored and results from all books are shown.
You have an odd number of " characters in your search terms - each one needs closing with a matching " character!
-
{{resultItem.title}} {{resultItem.matchedBy === 'semantic' ? 'semantic' : (resultItem.matchedBy === 'both' ? 'keyword + semantic' : 'keyword')}}
{{resultItem.url}}
{{docApp.libraryHomeViewProduct.title || docApp.libraryHomeViewProduct.id}}
{{docApp.libraryHomeViewProduct.description}}
{{group.title || group.id}}
{{group.description}}
Operation Information
- Application Reference:
com.hornbill.projectmanager - Scope:
Global - Class:
Application - Required Privilege Level:
user - Required Rights: Group E - canViewAllProjects
Description
This flowcode operation gets details of the selected project resource's capacity for the given period(s)
Request Parameters
The getProjectResourceCapacity API takes the following input parameters. It is important to note that the parameters must satisfy the requirement of the input validation checks.
| Name | Type | Required | Description |
|---|---|---|---|
projectResourceId |
xs:string |
Yes | The user id of the project resource. |
type |
xs:string |
Yes | The type of project resource. type.resource, type.team |
startDatePeriod1 |
xs:date |
Yes | The start date of the time period |
endDatePeriod1 |
xs:date |
Yes | The end date of the time period |
startDatePeriod2 |
xs:date |
No | The start date of the time period |
endDatePeriod2 |
xs:date |
No | The end date of the time period |
excludedProjectIds |
xs:integer |
No | A list of project ids to exclude from the results |
Response Parameters
| Name | Type | Description |
|---|---|---|
outcome |
xs:string |
The outcome of the flowcode operation. |
projectResourceCapacity |
xs:string |
A JSON string of project resource capacity details. |
Code Examples
curl -X POST 'https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.projectmanager' \
-H 'Authorization: ESP-APIKEY yourHornbillAPIKey' \
-H 'Content-Type: application/json' \
-d '{"@service":"apps/com.hornbill.projectmanager","@method":"getProjectResourceCapacity","params":{"projectResourceId":"xs:string","type":"xs:string","startDatePeriod1":"xs:date","endDatePeriod1":"xs:date","startDatePeriod2":"xs:date","endDatePeriod2":"xs:date","excludedProjectIds":1}}'
package main
import (
"fmt"
apiLib "github.com/hornbill/goApiLib"
)
func main() {
hornbillAPI := apiLib.NewXmlmcInstance("yourinstanceid")
hornbillAPI.SetAPIKey("yourHornbillAPIKey")
hornbillAPI.SetJSONResponse(true)
hornbillAPI.SetParam("projectResourceId", "xs:string")
hornbillAPI.SetParam("type", "xs:string")
hornbillAPI.SetParam("startDatePeriod1", "xs:date")
hornbillAPI.SetParam("endDatePeriod1", "xs:date")
hornbillAPI.SetParam("startDatePeriod2", "xs:date")
hornbillAPI.SetParam("endDatePeriod2", "xs:date")
hornbillAPI.SetParam("excludedProjectIds", "xs:integer")
responseBody, apiError := hornbillAPI.Invoke("apps/com.hornbill.projectmanager", "getProjectResourceCapacity")
if apiError != nil {
fmt.Println(apiError)
return
}
fmt.Println(responseBody)
}
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.projectmanager";
const payload = {
"@service": "apps/com.hornbill.projectmanager",
"@method": "getProjectResourceCapacity",
"params": {
"projectResourceId": "xs:string",
"type": "xs:string",
"startDatePeriod1": "xs:date",
"endDatePeriod1": "xs:date",
"startDatePeriod2": "xs:date",
"endDatePeriod2": "xs:date",
"excludedProjectIds": 1
}
};
fetch(endpoint, {
method: 'POST',
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
},
body: JSON.stringify(payload)
}).then(res => res.json())
.then(res => console.log(res));
const axios = require('axios');
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.projectmanager";
const payload = {
"@service": "apps/com.hornbill.projectmanager",
"@method": "getProjectResourceCapacity",
"params": {
"projectResourceId": "xs:string",
"type": "xs:string",
"startDatePeriod1": "xs:date",
"endDatePeriod1": "xs:date",
"startDatePeriod2": "xs:date",
"endDatePeriod2": "xs:date",
"excludedProjectIds": 1
}
};
const axiosConfig = {
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
};
axios.post(endpoint, payload, axiosConfig)
.then((res) => {
console.log("RESPONSE RECEIVED: ", res);
})
.catch((err) => {
console.log("AXIOS ERROR: ", err);
})
$endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.projectmanager";
$payload = (object) [
'@service' => 'apps/com.hornbill.projectmanager',
'@method' => 'getProjectResourceCapacity',
'params' => (object) [
'projectResourceId' => 'xs:string',
'type' => 'xs:string',
'startDatePeriod1' => 'xs:date',
'endDatePeriod1' => 'xs:date',
'startDatePeriod2' => 'xs:date',
'endDatePeriod2' => 'xs:date',
'excludedProjectIds' => 'xs:integer',
]
];
$headers = [
'Authorization: ESP-APIKEY yourHornbillAPIKey',
'Content-Type: application/json'
];
$curl = curl_init($url);
curl_setopt($curl, CURLOPT_URL, $endpoint);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
$resp = curl_exec($curl);
curl_close($curl);
echo $resp;
$Endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.projectmanager"
$Body = @{
"@service" = "apps/com.hornbill.projectmanager"
"@method" = "getProjectResourceCapacity"
params = @{
projectResourceId = "xs:string"
type = "xs:string"
startDatePeriod1 = "xs:date"
endDatePeriod1 = "xs:date"
startDatePeriod2 = "xs:date"
endDatePeriod2 = "xs:date"
excludedProjectIds = "xs:integer"
}
}
$Header = @{
"Authorization" = "ESP-APIKEY yourHornbillAPIKey"
}
$Parameters = @{
Method = "POST"
Uri = $Endpoint
Headers = $Header
Body = ($Body | ConvertTo-Json)
ContentType = "application/json"
}
Invoke-RestMethod @Parameters
import requests
import json
endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.projectmanager"
headers = {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
payload={
"@service":"apps/com.hornbill.projectmanager",
"@method":"getProjectResourceCapacity",
"params":{
"projectResourceId":"xs:string",
"type":"xs:string",
"startDatePeriod1":"xs:date",
"endDatePeriod1":"xs:date",
"startDatePeriod2":"xs:date",
"endDatePeriod2":"xs:date",
"excludedProjectIds":"xs:integer",
},
}
response = requests.request("POST", endpoint, json=payload, headers=headers)
print(response.text)
- Version {{docApp.book.version}}
- Node {{docApp.node}} / {{docApp.build}}